Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class CatalogSelectorTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.servlets.jsp.TagSupport
                  |
                  +--com.beasys.commerce.ebusiness.catalog.tags.CatalogSelectorTag

public class CatalogSelectorTag
extends TagSupport

The tag handler of the catalog jsp extension tag 'catalogSelector'. The catalogtSelector tag allows personalized catalog items to be selected based on user profile.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `id` To store the value of id attribute.
`protected java.lang.String` | `selector` The name of the selector rule in the rule set.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`CatalogSelectorTag()`

Method Summary
`int` | `doStartTag()` Processes the start tag.
`protected ViewIterator` | `getCatalogItems()` Get the ViewIterator over catalog items.
`java.lang.String` | `getId()` Gets the id to assign the results to.
`protected AdviceRequest` | `getRequest()` Returns a CatalogSelector AdviceRequest object after populating the following fields The current HTTP Request The current HTTP Session The current User A new TimeInstant A new Time A new Date A RULES_RULENAME_TO_FIRE A RULES_FILTER_CLASS_NAME
`java.lang.String` | `getRule()` Get name of the selector rule in the ruleSet.
`void` | `release()` Reinitializes the instance data in this object.
`void` | `setId(java.lang.String anId)` Sets the id to assign the results to.
`void` | `setRule(java.lang.String aSelector)` Set name of the selector rule in the rule set.

Methods inherited from class com.bea.p13n.servlets.jsp.TagSupport
`createAdviceRequest, createAdvisor`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selector

    protected java.lang.String selector

  The name of the selector rule in the rule set.

### id

    protected java.lang.String id

  To store the value of id attribute.

Constructor Detail

### CatalogSelectorTag

    public CatalogSelectorTag()

Method Detail

### setRule

    public void setRule(java.lang.String aSelector)

  Set name of the selector rule in the rule set.

  Parameters:
    `aSelector` - The name of the selector rule.

### getRule

    public java.lang.String getRule()

  Get name of the selector rule in the ruleSet.

  Returns:
    String The name of the selector rule.

### setId

    public void setId(java.lang.String anId)

  Sets the id to assign the results to.

  Parameters:
    `anId` - The id for the results.
  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Gets the id to assign the results to.

  Returns:
    The id for the results.
  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### getCatalogItems

    protected ViewIterator getCatalogItems()
                                    throws javax.servlet.jsp.JspException

  Get the ViewIterator over catalog items.

  Returns:
    a ViewIterator over the CatalogItems.
  Throws:
    javax.servlet.jsp.JspException - If unable to get advice or if incomplete advice is received.

### getRequest

    protected AdviceRequest getRequest()
                                throws javax.servlet.jsp.JspException

  Returns a CatalogSelector AdviceRequest object after populating the following fields
  - The current HTTP Request
  - The current HTTP Session
  - The current User
  - A new TimeInstant
  - A new Time
  - A new Date
  - A RULES_RULENAME_TO_FIRE
  - A RULES_FILTER_CLASS_NAME

  Returns:
    A CatalogSelector AdviceRequest.
  Throws:
    javax.servlet.jsp.JspException - If there is a problem creating the request.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag. Will set the 'id' to array of content objects found.

  Returns:
    The SKIP_BODY constant since this tag does not have a body.
  Throws:
    javax.servlet.jsp.JspException - if an error. occurrs during content retrieval.
  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reinitializes the instance data in this object.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved